06 июня | 2020г. | 13:26:34

АвторТема: Плагин YouTube  (Прочитано 331524 раз)

0 Пользователей и 4 Гостей смотрят эту тему.

Оффлайн TaapatАвтор темы

  • Мастер Джедай
  • ***
  • Сообщений: 3406
  • Поблагодарили: 9142
Плагин YouTube
« Первое сообщение: 28 июня | 2015г. | 21:26:30 »
Как обещал первый тестовой вариант плугина YouTube.

Github: enigma2-plugin-youtube

Он полностью работает с youtube api v3, и там работает аутентификация.
Спойлер   :




Я до этого использовал плагин MyTube, но к сожалению лицензия не позволяет использовать его на других ресиверов кроме дримбокса.
После перехода youtube на api v3, я не видел смысла продолжать его править и нарушать лицензию, по тому решил создавать открытый плугин. Но могу честно сказать что код для подсказки при поиске пока частично от MyTube.

Я сам активно youtube не использую по тому приветствуется замечания и пожелания, а также наверно надо поправить перевод.
Теперь на api v3 аутентификация работает не так как раньше. До этого вы давали плугинам, на пример для youtube, свой логин и пароль. Но плугин так получает полный контроль над всеми вашими акоунтами и даннимы на гоогле. По тому теперь вам не надо давать свои данные а разрешить плугину использовать только нужный сервис.
Если в настройках (кнопка menu) включите аутентификацию, то для выполнения проверки подлинности нужно будет в веб-браузере под своим акоунтом открыть домашнюю страницу www.google.com/device, ввести код который покажет плугин, и разрешить плугину использовать ваш акоунт на youtube. После аутентификации вы сможете использовать собственные фиди и подписки.

Все зависимости по идей должны потянутся из фида автоматом. По этому ставьте пакет, а не раскидайте содержание из архива.

P.S.
У тех, у кого имидджи openpli, Live X или мой для spark 7111, от сюда плугин устанавливать не надо.
Устанавливаете из фида имиджей. На openpli он обновляется автоматически, у себя обновляю сам, а на Live X присутствует правки для конкретного имиджа.

Актуальные версии скачивать тут: enigma2-plugin-youtube


  • Zgemma H7S | Zgemma H.S | Edision OS mini + | Amiko SHD-8900 Alien | VU+ Solo2 | Gi ET11000 4K
taapat.blogspot.com

Оффлайн foxbob

  • Джедай Куратор
  • **
  • Сообщений: 1875
  • Поблагодарили: 12205
Плагин YouTube
« Ответ #1: 29 июня | 2015г. | 17:22:21 »
На openpli работает.Непривычный интерфейс,как-то мелковато но не критично.На vti,atv не стал,ругается на python-argparse.Устанавливаю python-argparse_2.7.3-r5.3.9_mips32el.ipk ошибка.

Оффлайн aheles

  • Джедай
  • ***
  • Сообщений: 412
  • Поблагодарили: 53
Плагин YouTube
« Ответ #2: 29 июня | 2015г. | 17:52:03 »
что у меня не ставиться
Спойлер   :
[ Гостям не разрешен просмотр вложений ][ Гостям не разрешен просмотр вложений ]

Оффлайн TaapatАвтор темы

  • Мастер Джедай
  • ***
  • Сообщений: 3406
  • Поблагодарили: 9142
Плагин YouTube
« Ответ #3: 29 июня | 2015г. | 18:17:38 »
aheles, у вас имидж какой то странный.
Первая ошибка о том что на фиде нету python-httplib2. Можете попробовать python-httplib2_0.9.1-1_all.ipk от моего имиджа.
Вторая ошибка что пакет python-argparse от фида конфликтует с пакетом python-misc в имидже. Это уже ошибка тех, которые эти пакета собирали и выкладывали на фид.
Поставьте python-argparse насильно:
Вам не разрешен просмотр кода. Войдите или Зарегистрируйтесь для просмотра.Но я не удивлюсь что у вас появится другие ошибки.
  • Zgemma H7S | Zgemma H.S | Edision OS mini + | Amiko SHD-8900 Alien | VU+ Solo2 | Gi ET11000 4K
taapat.blogspot.com

Оффлайн TaapatАвтор темы

  • Мастер Джедай
  • ***
  • Сообщений: 3406
  • Поблагодарили: 9142
Плагин YouTube
« Ответ #4: 29 июня | 2015г. | 18:18:54 »
Непривычный интерфейс,как-то мелковато но не критично.
Наверно сделаю размер окна в зависимости от разрешения экрана.

На vti,atv не стал,ругается на python-argparse
Предполагаю что у вас argparse входит в состав пакета python-misc. Попробуйте установить (если их уже нету в имидже) python-httplib2 python-uritemplate, а потом ставьте google-api-python-client с флагом --force-depends:
Вам не разрешен просмотр кода. Войдите или Зарегистрируйтесь для просмотра.
  • Zgemma H7S | Zgemma H.S | Edision OS mini + | Amiko SHD-8900 Alien | VU+ Solo2 | Gi ET11000 4K
taapat.blogspot.com

Оффлайн netov1

  • Младший Джедай
  • **
  • Сообщений: 126
  • Поблагодарили: 80
Плагин YouTube
« Ответ #5: 29 июня | 2015г. | 18:37:34 »
как удалить историю поиска? /etc/enigma2/settings чистил,все равно остается

Оффлайн TaapatАвтор темы

  • Мастер Джедай
  • ***
  • Сообщений: 3406
  • Поблагодарили: 9142
Плагин YouTube
« Ответ #6: 29 июня | 2015г. | 18:49:35 »
netov1, перед очисткой остановите эныгму init 4, после запустите с init 3.
Если не хотите сохранить поиск, прямо в окне поиска нажмите menu и в настройках выключите сохранение. Тогда он не сохранится, а когда захотите сохранить- включите.
  • Zgemma H7S | Zgemma H.S | Edision OS mini + | Amiko SHD-8900 Alien | VU+ Solo2 | Gi ET11000 4K
taapat.blogspot.com

Оффлайн aheles

  • Джедай
  • ***
  • Сообщений: 412
  • Поблагодарили: 53
Плагин YouTube
« Ответ #7: 29 июня | 2015г. | 19:14:09 »
Taapat все сделал ка вы сказали но вот не воспроизводит  нажимаю на кнопку  открыть  и  нечего не воспроизводит
извлечение  видиоссылки не происходит
Спойлер   :
[ Гостям не разрешен просмотр вложений ]

Оффлайн TaapatАвтор темы

  • Мастер Джедай
  • ***
  • Сообщений: 3406
  • Поблагодарили: 9142
Плагин YouTube
« Ответ #8: 29 июня | 2015г. | 20:16:51 »
aheles, за вытаскивание видео силки отвечает библиотека python-youtube-dl. Очевидно ей что то не хватает, но тогда вроде должен быть креш. Без лога еныгми не чего угадать не смогу.
Если ставили принудительно, то убедитесь что у вас в имидже присутствует такие пакеты: python-unixadmin; python-html; python-ctypes; python-email; python-subprocess. Но судя по ошибкам в пакетах, у вас состав пакет может отличаться от опенпли.
  • Zgemma H7S | Zgemma H.S | Edision OS mini + | Amiko SHD-8900 Alien | VU+ Solo2 | Gi ET11000 4K
taapat.blogspot.com

Оффлайн foxbob

  • Джедай Куратор
  • **
  • Сообщений: 1875
  • Поблагодарили: 12205
Плагин YouTube
« Ответ #9: 29 июня | 2015г. | 20:23:34 »
Пока жена не видит.Чего ему не хватает.Имидж опенатв5.0.
Спойлер   :
root@vusolo2:~# opkg install --force-depends /tmp/google-api-python-client_git20150623-2_all.ipk
Installing google-api-python-client (git20150623-2) on root.
python-six (1.9.0-r0) already installed on root.
Collected errors:
 * opkg_install_cmd: Cannot install package google-api-python-client.
root@vusolo2:~# opkg install --force-depends /tmp/enigma2-plugin-extensions-youtube_20150628-r12_all.ipk
Installing enigma2-plugin-extensions-youtube (20150628-r12) on root.
Configuring enigma2-plugin-extensions-youtube.
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-youtube:
 *      google-api-python-client *
Ставлю версию для атв пишет opkg install --force-depends /tmp/enigma2-plugin-extensions-youtube_20150625-r12_all.ipk
Not downgrading package enigma2-plugin-extensions-youtube on root from 20150628-r12 to 20150625-r12.
Самое интересное-появилось в плагинах приложение,запускаю зелень.

Оффлайн aheles

  • Джедай
  • ***
  • Сообщений: 412
  • Поблагодарили: 53
Плагин YouTube
« Ответ #10: 29 июня | 2015г. | 20:33:11 »
Taapat а можно эти пакеты  с  терминала установить ?  и как прописать для  установки , все поставил с фида пакеты , но вот какая  и говорил видио не грузиться  и крешлого не кокого нет

Оффлайн TaapatАвтор темы

  • Мастер Джедай
  • ***
  • Сообщений: 3406
  • Поблагодарили: 9142
Плагин YouTube
« Ответ #11: 29 июня | 2015г. | 21:35:51 »
foxbob, в креше у вас ругается на отсутствие google-api-python-client
Вам не разрешен просмотр кода. Войдите или Зарегистрируйтесь для просмотра.У вас выше в логе как раз:
Вам не разрешен просмотр кода. Войдите или Зарегистрируйтесь для просмотра.А причины почему не установился нету. Вы перед командой установки вообще пакет google-api-python-client_git20150623-2_all.ipk положили в папку /tmp?
  • Zgemma H7S | Zgemma H.S | Edision OS mini + | Amiko SHD-8900 Alien | VU+ Solo2 | Gi ET11000 4K
taapat.blogspot.com

Оффлайн TaapatАвтор темы

  • Мастер Джедай
  • ***
  • Сообщений: 3406
  • Поблагодарили: 9142
Плагин YouTube
« Ответ #12: 29 июня | 2015г. | 21:40:30 »
aheles, так просто наберите в терминале:
Вам не разрешен просмотр кода. Войдите или Зарегистрируйтесь для просмотра.
  • Zgemma H7S | Zgemma H.S | Edision OS mini + | Amiko SHD-8900 Alien | VU+ Solo2 | Gi ET11000 4K
taapat.blogspot.com

Оффлайн TaapatАвтор темы

  • Мастер Джедай
  • ***
  • Сообщений: 3406
  • Поблагодарили: 9142
Плагин YouTube
« Ответ #13: 30 июня | 2015г. | 01:32:10 »
Обновил плугин в первом сообщение.
Добавил на кнопке menu рейтинг и подписки.
  • Zgemma H7S | Zgemma H.S | Edision OS mini + | Amiko SHD-8900 Alien | VU+ Solo2 | Gi ET11000 4K
taapat.blogspot.com

Оффлайн foxbob

  • Джедай Куратор
  • **
  • Сообщений: 1875
  • Поблагодарили: 12205
Плагин YouTube
« Ответ #14: 30 июня | 2015г. | 10:56:27 »
Кинул все файлы в темп.И вот чего получилось.
Спойлер   :
Welcome to openATV for vusolo2
openatv 5.0 vusolo2

vusolo2 login: root
Last login: Tue Jun 30 11:44:21 EEST 2015 on pts/0
root@vusolo2:~# opkg update
opkg install python-httplib2
opkg install python-uritemplate
opkg install python-oauth2client
opkg install python-youtube-dl
opkg install --force-depends /tmp/google-api-python-client_git20150623-2_all.ipk
opkg install --force-depends /tmp/enigma2-plugin-extensions-youtube_20150629-r12_all.ipkDownloading https://feeds.mynonpublic.com/5.0/vusolo2/3rdparty/Packages.gz.
Inflating https://feeds.mynonpublic.com/5.0/vusolo2/3rdparty/Packages.gz.
Updated list of available packages in /var/lib/opkg/openatv-3rdparty.
Downloading https://feeds.mynonpublic.com/5.0/vusolo2/all/Packages.gz.
Inflating https://feeds.mynonpublic.com/5.0/vusolo2/all/Packages.gz.
Updated list of available packages in /var/lib/opkg/openatv-all.
Downloading https://feeds.mynonpublic.com/5.0/vusolo2/mips32el/Packages.gz.
Inflating https://feeds.mynonpublic.com/5.0/vusolo2/mips32el/Packages.gz.
Updated list of available packages in /var/lib/opkg/openatv-mips32el.
Downloading https://feeds.mynonpublic.com/5.0/vusolo2/vusolo2/Packages.gz.
Inflating https://feeds.mynonpublic.com/5.0/vusolo2/vusolo2/Packages.gz.
Updated list of available packages in /var/lib/opkg/openatv-vusolo2.
Downloading https://feeds.mynonpublic.com/5.0/vusolo2/vusolo2_3rdparty/Packages.gz.
Inflating https://feeds.mynonpublic.com/5.0/vusolo2/vusolo2_3rdparty/Packages.gz.
Updated list of available packages in /var/lib/opkg/openatv-vusolo2_3rdparty.
root@vusolo2:~# opkg install python-six
Package python-six (1.9.0-r0) installed in root is up to date.
root@vusolo2:~# opkg install python-httplib2
Package python-httplib2 (0.9.1-r1) installed in root is up to date.
root@vusolo2:~# opkg install python-uritemplate
Package python-uritemplate (0.6-r0) installed in root is up to date.
root@vusolo2:~# opkg install python-oauth2client
Package python-oauth2client (git20150503-1) installed in root is up to date.
root@vusolo2:~# opkg install python-youtube-dl
Package python-youtube-dl (git20150628-2) installed in root is up to date.
root@vusolo2:~# opkg install --force-depends /tmp/google-api-python-client_git20150623-2_all.ipk
Installing google-api-python-client (git20150623-2) on root.
python-six (1.9.0-r0) already installed on root.
Collected errors:
 * opkg_install_cmd: Cannot install package google-api-python-client.
root@vusolo2:~# opkg install --force-depends /tmp/enigma2-plugin-extensions-youtube_20150629-r12_all.ipk
Installing enigma2-plugin-extensions-youtube (20150629-r12) on root.
Configuring enigma2-plugin-extensions-youtube.
Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for enigma2-plugin-extensions-youtube:
 *      google-api-python-client *
root@vusolo2:~#

Теги:
 

Похожие темы

  Тема / Автор Ответов Последний ответ
2 Ответов
6078 Просмотров
Последний ответ 16 апреля | 2013г. | 00:15:35
от алексей1490
0 Ответов
3858 Просмотров
Последний ответ 16 июля | 2015г. | 11:39:15
от vodker
0 Ответов
1514 Просмотров
Последний ответ 21 мая | 2017г. | 23:16:43
от NikseR
0 Ответов
2145 Просмотров
Последний ответ 01 января | 2018г. | 18:50:10
от alex622
1 Ответов
1708 Просмотров
Последний ответ 12 февраля | 2020г. | 16:40:53
от Yura654



X

Добро пожаловать!

Мы заметили, что у Вас установлено расширение AdBlock или ему подобное. Пожалуйста добавьте наш Клуб в белый список, внесите этим посильную лепту в его развитие. Спасибо!